public interface Topf {

	/** Liefert einen Stein der gegebenen Farbe aus dem Topf zurck.
		* @param farbe Die Farbe des Steins.
		* @return Liefert einen Stein der gegebenen Farbe zurck.
		*/
	public Stein getStein(int farbe);

	/** Packt ein Stein zurck in den Topf.
		* @param stein Der Stein, der zurck in den Topf kommt.
		*/
	public void setStein(Stein stein);

	/** Packt Steine zurck in den Topf.
		* @param steine Die Steine, die zurck in den Topf kommen.
		*/
	public void setStein(java.util.Collection steine);

	/** Liefert die Menge der vorhandenen Steine einer Farbe aus
		* dem Topf zurck.
		* @param farbe Die Farbe der Steine, dessen Anzahl gesucht wird.
		* @return Die Anzahl der Steine fr die Farbe.
		*/
	public int anzahlSteine(int farbe);



}